Bug 53422 - Program crashed after trying to display window
Program crashed after trying to display window
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: serviceconf (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-08 11:15 EDT by Matthias Saou
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 15:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2001-09-08 11:15:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010808

Description of problem:
The window opens, but crashes when trying to display its content.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run serviceconf
2. enter root password if not root
3. ...boom :-(
	

Actual Results:
[root@devel root]# serviceconf 
Traceback (innermost last):
  File "/usr/share/serviceconf/serviceconf.py", line 438, in ?
    main() 
  File "/usr/share/serviceconf/serviceconf.py", line 429, in main
    Gui()
  File "/usr/share/serviceconf/serviceconf.py", line 138, in __init__
    self.populateList()
  File "/usr/share/serviceconf/serviceconf.py", line 190, in populateList
    self.clstServices.append_row(servicename,
int(self.dict_services[servicename][0][int(self.editing_runlevel)]))
ValueError: invalid literal for int(): 4:on
[root@devel root]# 


Expected Results:  I want to edit my services! ;-)

Additional info:

This is a Roswell 2 system that has been upgraded from a fresh Seawolf (but
slightly modified since, only with custom RPMs from freshrpms.net) install.
I do have my ProFTPD RPM installed, which has both a regular
/etc/init.d/proftpd and an xinetd (disabled) entry. But this doesn't seem
to be it.
Comment 1 Daniel Walsh 2002-06-10 08:34:02 EDT
Sorry about the late response to this problem.  I was just assigned it for the
next release of Red Hat. I have not been able to repeat this problem in the lab.
 I need the output of
chkconfig --list
Comment 2 Matthias Saou 2002-06-10 09:27:27 EDT
I just tried again with my proftpd package (downloadable from freshrpms.net) on
Red Hat Linux 7.3, and same problem :

[dude@python dude]$ serviceconf 
Traceback (innermost last):
  File "/usr/share/serviceconf/serviceconf.py", line 446, in ?
    main() 
  File "/usr/share/serviceconf/serviceconf.py", line 436, in main
    Gui()
  File "/usr/share/serviceconf/serviceconf.py", line 145, in __init__
    self.populateList()
  File "/usr/share/serviceconf/serviceconf.py", line 197, in populateList
    self.clstServices.append_row(servicename,
int(self.dict_services[servicename][0][int(self.editing_runlevel)]))
ValueError: invalid literal for int(): 6:off
[dude@python dude]$ 

[root@python root]# chkconfig --list
keytable       	0:off	1:on	2:on	3:on	4:on	5:on	6:off
atd            	0:off	1:off	2:off	3:on	4:on	5:on	6:off
syslog         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
gpm            	0:off	1:off	2:off	3:off	4:off	5:off	6:off
sendmail       	0:off	1:off	2:off	3:off	4:off	5:off	6:off
kudzu          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
reconfig       	0:off	1:off	2:off	3:on	4:on	5:on	6:off
netfs          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
network        	0:off	1:off	2:on	3:on	4:on	5:on	6:off
random         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
rawdevices     	0:off	1:off	2:off	3:off	4:off	5:off	6:off
pcmcia         	0:off	1:off	2:on	3:on	4:on	5:on	6:off
apmd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
ipchains       	0:off	1:off	2:on	3:on	4:on	5:on	6:off
iptables       	0:off	1:off	2:on	3:on	4:on	5:on	6:off
crond          	0:off	1:off	2:on	3:on	4:on	5:on	6:off
anacron        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
lpd            	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ntpd           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
portmap        	0:off	1:off	2:off	3:on	4:on	5:on	6:off
xfs            	0:off	1:off	2:on	3:on	4:on	5:on	6:off
xinetd         	0:off	1:off	2:off	3:on	4:on	5:on	6:off
irda           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
autofs         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
nfs            	0:off	1:off	2:off	3:off	4:off	5:off	6:off
nfslock        	0:off	1:off	2:off	3:on	4:on	5:on	6:off
radvd          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
snmpd          	0:off	1:off	2:off	3:off	4:off	5:off	6:off
snmptrapd      	0:off	1:off	2:off	3:off	4:off	5:off	6:off
sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
yppasswdd      	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ypserv         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ypxfrd         	0:off	1:off	2:off	3:off	4:off	5:off	6:off
postgresql     	0:off	1:off	2:off	3:off	4:off	5:off	6:off
aep1000        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
bcm5820        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
httpd          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
tux            	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ip6tables      	0:off	1:off	2:off	3:off	4:off	5:off	6:off
wine           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
proftpd        	0:off	1:off	2:off	3:on	4:on	5:on	6:off
nessusd        	0:off	1:off	2:off	3:off	4:off	5:off	6:off
ldap           	0:off	1:off	2:off	3:off	4:off	5:off	6:off
lircd          	0:off	1:off	2:off	3:on	4:on	5:on	6:off
xinetd based services:
	chargen-udp:	off
	chargen:	off
	daytime-udp:	off
	daytime:	off
	echo-udp:	off
	echo:	off
	services:	off
	servers:	off
	time-udp:	off
	time:	off
	glftpd:	on
	sgi_fam:	on
	ntalk:	off
	talk:	off
	telnet:	off
	rsync:	on
	proftpd:	off
[root@python root]#
Comment 3 Matthias Saou 2002-06-10 09:32:18 EDT
I just tried uninstalling my proftpd package and now serviceconf runs. It seems
like it doesn't like having the same name in both the regular init scripts and
as an xinetd sub-service.

I do think it should exit more gracefully if this is something it can't handle
though.

Matthias
Comment 4 Daniel Walsh 2002-06-10 11:22:25 EDT
Yes that is the problem.  I have been able to recreate it with the new code. 
Now the question is how should we handle it.  I am just going to eliminate it from
the list.  
chkconfig --list servicename does not handle this situation either.  
I will fix the crash by eliminating the xinetd entry.  I will enter a bug on
chkconfig to list both entries.
This will be fixed in Milan release.

Note You need to log in before you can comment on or make changes to this bug.